import 'package:dartz/dartz.dart';
import '../../core/error/failures.dart';
import '../models/vacation_request.dart';
import '../models/vacation_response_model.dart';
import '../repositories/vacation_repository.dart';

class CreateVacationUseCase {
  final VacationRepository repository;

  CreateVacationUseCase({required this.repository});

  Future<Either<Failure, VacationResponseModel>> call(VacationRequest request) {
    return repository.createVacation(request);
  }
}
